# This file is a template, and might need editing before it works on your project.
# This is a sample GitLab CI/CD configuration file that should run without any modifications.
# It demonstrates a basic 3 stage CI/CD pipeline. Instead of real tests or scripts,
# it uses echo commands to simulate the pipeline execution.
#
# A pipeline is composed of independent jobs that run scripts, grouped into stages.
# Stages run in sequential order, but jobs within stages run in parallel.
#
# For more information, see: https://docs.gitlab.com/ee/ci/yaml/index.html#stages
#
# You can copy and paste this template into a new `.gitlab-ci.yml` file.
# You should not add this template to an existing `.gitlab-ci.yml` file by using the `include:` keyword.
#
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Getting-Started.gitlab-ci.yml

stages:          # List of stages for jobs, and their order of execution
  - test
  - stopper

include:
  - template: Jobs/Dependency-Scanning.gitlab-ci.yml

stopper: 
  stage: stopper
  when: manual
  allow_failure: false
  script: echo "Hello"









# include:
    # - template: DAST.gitlab-ci.yml # Include DAST template
    # - template: Code-Quality.gitlab-ci.yml

# build-job:       # Build container image from a Dockerfile, inside a container
#   stage: build
#   image:
#     name: gcr.io/kaniko-project/executor:debug
#     entrypoint: [""]
#   rules:
#     - if: $CI_COMMIT_BRANCH == "main"
#     - if: $CI_MERGE_REQUEST_IID
#   variables:
#     JSON_CONFIG: |
#       {
#         "auths": {
#           "$CI_REGISTRY": {
#             "username": "$CI_REGISTRY_USER",
#             "password": "$CI_REGISTRY_PASSWORD"
#           }
#         }
#       }
#   script: |
#     echo "${JSON_CONFIG}" > /kaniko/.docker/config.json
#     /kaniko/executor \
#       --context $CI_PROJECT_DIR \
#       --dockerfile $CI_PROJECT_DIR/Dockerfile \
#       --cache=true \
#       --destination $CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA

# unit-test-job:   # This job runs in the test stage.
#   stage: test    # It only starts when the job in the build stage completes successfully.
#   script:
#     - echo "Running unit tests... This will take about 60 seconds."
#     - sleep 60
#     - echo "Code coverage is 90%"

# lint-test-job:   # This job also runs in the test stage.
#   stage: test    # It can run at the same time as unit-test-job (in parallel).
#   script:
#     - echo "Linting code... This will take about 10 seconds."
#     - sleep 10
#     - echo "No lint issues found."

# deploy-job:      # This job runs in the deploy stage.
#   stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
#   environment: production
#   script:
#     - echo "Deploying application..."
#     - echo "Application successfully deployed."

# dast:
#   variables:
#     DAST_WEBSITE: http://webapp:5000/
#     DAST_FULL_SCAN_ENABLED: 'true'
#     DAST_BROWSER_SCAN: 'true'
#   rules:
#   - if: $CI_COMMIT_BRANCH == "main"
#   - if: "$CI_MERGE_REQUEST_IID"
#   services:
#   - name: "$CI_REGISTRY_IMAGE:$CI_COMMIT_SHORT_SHA"
#     alias: webapp

  
